#include <iostream>
#include <cstdio>

using namespace std;

int main()
{
    int n,i,j,maxP=0;
    float maxS=0;
    scanf("%d",&n);
    float a[n];
    float p[n];
    float s[n];
    for(i=0;i<n;i++){
        scanf("%f %f",&a[i],&p[i]);
        s[i]=0;
    }
    for(i=0;i<n;i++){
        for(j=0;j<n;j++){
            if(p[i]<=p[j]){
                s[i]+=(a[j]*(p[i]/100));
            }
        }
        if(maxS<s[i]){
            maxS=s[i];
            maxP=i;
        }
    }
    printf("%.4f",s[maxP]);
    return 0;
}